#pragma once
#include "ActorInterface.h"
#include "wascommand.h"
#include "WASActor.h"

class CWASSMS : public CWASCommand
{
public:
	CWASSMS(CWASActor *pActor);
	~CWASSMS(void);
	void ExecuteAsync(void);	

	void SetParameter(LPCWSTR strToTelNo,LPCWSTR strFromTelNo, LPCWSTR strContent)
	{
		m_strToTelNo = strToTelNo;
		m_strFromTelNo = strFromTelNo;
		m_strContent = strContent;
	}

private:
	bool ParseAndEventFire(nfc::CIkXMLDom * pDom);	

protected:
	// override in drived class
	virtual void OnWasResponse(trid_t /*trid*/, bool /*bSuccess*/, int /*nWinINetErrorCode*/, int /*nHttpResponseCode*/, 
		LPCSTR /*szWasResCodeInHeader*/, 
		LPCSTR /*szWasResCodeInXml*/,
		nfc::CIkXMLDom * /*pDom*/);

	virtual void OnRequestTimeout(CHttpFacade * /*pHttpF*/, DWORD /*dwSeconds*/);
private:
	NE_SMS_DATA m_SMSData;
	WSTRING m_strToTelNo;
	WSTRING m_strFromTelNo;
	WSTRING m_strContent;
};
